import { returnGenericJsonResponse } from "@lib/http";

const routeDef: RouteDef = {
	method: "POST",
	accepts: "application/json",
	returns: "application/json",
	needsBody: "json",
};

async function handler(
	request: ExtendedRequest,
	requestBody: unknown,
): Promise<Response> {
	const { username, password, email } = requestBody as {
		username: string;
		password: string;
		email: string;
	};

	if (!username || !password || !email) {
		return returnGenericJsonResponse(400, {
			message: "Missing required fields: username, password, email",
		});
	}

	return returnGenericJsonResponse(200, {
		message: "User registered successfully",
		username: username,
		password,
		email,
	});
}

export { handler, routeDef };
